import { useQuery } from '@tanstack/react-query';

import { UserService } from '@/client/services/UserService';

export function useSshKeys() {
  return useQuery({
    queryKey: ['user', 'ssh-keys'],
    queryFn: () => UserService.userListSshKeys({}).then((r) => r.data),
    staleTime: 1000 * 60 * 2,
  });
}
